Creating a gateway¶
Note
The Admin API requires no token. The Admin API is typically protected at the network level.
Send the request as POST to the path /admin/v1/tenants/{tenant_id}/gateways.
Request¶
The following parameters are available:
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
tenant_id |
path | string |
yes | ID of the tenant. |
Example¶
Example of the request body:
{
"slug": "production",
"config": {
"auth_required": true,
"budget_usd": null,
"cache_ttl": 0,
"retry_count": 2,
"timeout_ms": 60000,
"log_payloads": true,
"rate_limit": {
"requests": 100,
"window_sec": 60
},
"ip_allowlist": [
"10.0.0.0/8",
"203.0.113.5"
],
"guardrails": [],
"azure_endpoint": "https://my-resource.openai.azure.com",
"azure_deployment": null,
"azure_api_version": "2024-02-01",
"bedrock_region": "us-east-1",
"vertex_project": null,
"vertex_region": "us-central1",
"provider_base_urls": {
"openai": "https://llm-proxy.internal/v1"
}
}
}
Responses¶
The endpoint answers the request with the following status codes:
| Status code | Description |
|---|---|
201 |
Gateway created. |
400 |
Invalid request body or missing required field (Admin API). |